%define major 1
%define libname %mklibname openzwave %{major}
%define develname %mklibname openzwave -d

Summary:	Library to access Z-Wave interfaces
Name:		openzwave
Group:		System/Libraries
Version:	1.2.919
Release:	%mkrel 1
License:	GPLv3+
URL:		http://www.openzwave.net/
Source0:	http://old.openzwave.com/downloads/openzwave-%{version}.tar.gz
BuildRequires:	udev-devel doxygen graphviz gcc-c++ systemd-devel pkgconfig

%description
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without 
requiring any in depth knowledge of the Z-Wave protocol.

%package -n	%{libname}
Summary:	Shared Open-ZWave library
Group:		System/Libraries

%description -n	%{libname}
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without 
requiring any in depth knowledge of the Z-Wave protocol.

%package -n	%{develname}
Summary:	Open-ZWave header files
Group:		Development/C++
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
OpenZWave is an open-source, cross-platform library designed to enable anyone to
add support for Z-Wave home-automation devices to their applications, without 
requiring any in depth knowledge of the Z-Wave protocol.

Header files needed when you want to compile your own applications using
openzwave.

%prep

%setup -q

%build
major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})

VERSION_MAJ=$major_ver VERSION_MIN=$minor_ver VERSION_REV=$revision PREFIX=%{_prefix} sysconfdir=%{_sysconfdir}/openzwave/ includedir=%{_includedir} docdir=%{_defaultdocdir}/openzwave instlibdir=%{_libdir} %make

%install

major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_defaultdocdir}/openzwave
mkdir -p %{buildroot}%{_sysconfdir}/
mkdir -p %{buildroot}%{_includedir}/openzwave/

DESTDIR=%{buildroot} VERSION_MAJ=$major_ver VERSION_MIN=$minor_ver VERSION_REV=$revision PREFIX=%{_prefix} sysconfdir=%{_sysconfdir}/openzwave/ includedir=%{_includedir}/openzwave/ docdir=%{_defaultdocdir}/openzwave instlibdir=%{_libdir} make install

cp -p INSTALL %{buildroot}%{_defaultdocdir}/openzwave/
cp -pr license %{buildroot}%{_defaultdocdir}/openzwave/
rm %{buildroot}%{_defaultdocdir}/openzwave/Doxyfile.in
rm -rf %{buildroot}%{_defaultdocdir}/openzwave/html/

%files
%{_bindir}/MinOZW

%files -n %{libname}
%dir %{_defaultdocdir}/openzwave
%doc %{_defaultdocdir}/openzwave/default.htm
%doc %{_defaultdocdir}/openzwave/general/
%doc %{_defaultdocdir}/openzwave/images+css/
%doc %{_defaultdocdir}/openzwave/license/
%doc %{_defaultdocdir}/openzwave/INSTALL
%config(noreplace) %{_sysconfdir}/openzwave/
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc %{_defaultdocdir}/openzwave/api/
%{_includedir}/openzwave/
%{_libdir}/libopenzwave.so
%{_libdir}/pkgconfig/libopenzwave.pc


%changelog
* Sun Nov 15 2015 oden <oden> 1.2.919-1.mga6
+ Revision: 903407
- imported package openzwave

